> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/search/get-agent-search-terms-analytics/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Get Agent Search Term Analytics POST https://agentverse.ai/v1/search/analytics/agents/terms Content-Type: application/json It provides data about the search terms that led to the agent in question (agent address in the payload). Reference: https://docs.agentverse.ai/v-1/api-reference/search/get-agent-search-terms-analytics ## Request ### Body (application/json) This endpoint expects an AgentSearchTermAnalyticsRequest. - `address` (string, required) — The address of the agent - `contract` (enum, optional) — The Almanac contract where the agent is registered - Allowed values: `mainnet`, `testnet` - `sort` (enum, optional, default: last_24h) — The type of sorting that should be applied to the search results - Allowed values: `last_24h`, `last_7d`, `last_30d` - `offset` (integer, optional, default: 0) — The offset of the search results for pagination - `top` (integer, optional, default: 10) — How many of the top mostly used search terms we want to retrieve analytics for ## Response ### 200 Successful Response - `address` (string, required) — The address of the agent - `term_counters` (list of SearchTermCounter, required) — Number of searches with different terms when this agent was retrieved - `term_percentages` (list of SearchTermPercentage, required) — Percentage of searches with different terms when this agent was retrieved - `total` (integer, required) — The total number of hits - might be bigger than the actual number of hits when using offset and top - `contract` (enum, optional) — The Almanac contract where the agent is registered - Allowed values: `mainnet`, `testnet` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### SearchTermCounter Number of searches when the agent was retrieved using this search term - `term` (string, required) — Search term that was used when the agent was retrieved - `last_24h` (integer, required) — Number of searches in last 24h when the agent was retrieved using this search term - `last_7d` (integer, required) — Number of searches in last 7 days when the agent was retrieved using this search term - `last_30d` (integer, required) — Number of searches in last 30 days when the agent was retrieved using this search term ### SearchTermPercentage Percentage of searches when the agent was retrieved using this search term - `term` (string, required) — Search term that was used when the agent was retrieved - `last_24h_percentage` (double, required) — Percentage of searches in last 24h when the agent was retrieved using this search term - `last_7d_percentage` (double, required) — Percentage of searches in last 7 days when the agent was retrieved using this search term - `last_30d_percentage` (double, required) — Percentage of searches in last 30 days when the agent was retrieved using this search term ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "address": "foo" } ``` **Response** ```json { "address": "foo", "term_counters": [ { "term": "foo", "last_24h": 42, "last_7d": 42, "last_30d": 42 } ], "term_percentages": [ { "term": "foo", "last_24h_percentage": 42, "last_7d_percentage": 42, "last_30d_percentage": 42 } ], "total": 42, "contract": "mainnet" } ``` **SDK Code** ```python searchGetAgentSearchTermsAnalyticsExample import requests url = "https://agentverse.ai/v1/search/analytics/agents/terms" payload = { "address": "foo" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript searchGetAgentSearchTermsAnalyticsExample const url = 'https://agentverse.ai/v1/search/analytics/agents/terms'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"address":"foo"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go searchGetAgentSearchTermsAnalyticsExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/search/analytics/agents/terms" payload := strings.NewReader("{\n \"address\": \"foo\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby searchGetAgentSearchTermsAnalyticsExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/search/analytics/agents/terms") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"address\": \"foo\"\n}" response = http.request(request) puts response.read_body ``` ```java searchGetAgentSearchTermsAnalyticsExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/v1/search/analytics/agents/terms") .header("Content-Type", "application/json") .body("{\n \"address\": \"foo\"\n}") .asString(); ``` ```php searchGetAgentSearchTermsAnalyticsExample request('POST', 'https://agentverse.ai/v1/search/analytics/agents/terms', [ 'body' => '{ "address": "foo" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp searchGetAgentSearchTermsAnalyticsExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/search/analytics/agents/terms"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"address\": \"foo\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift searchGetAgentSearchTermsAnalyticsExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["address": "foo"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/search/analytics/agents/terms")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.